commit 656c4bad229439cc87140c70429165dcfa1881ea
Author: freddy77 <freddy77>
Date:   Fri Feb 8 09:28:01 2008 +0000

    more reuse in tests

diff --git a/ChangeLog b/ChangeLog
index cc65a1b..393b4a0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+Fri Feb 08 10:26:36 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/Makefile.am src/odbc/unittests/describecol.in:
+	* src/odbc/unittests/params.c src/odbc/unittests/putdata.c:
+	* src/odbc/unittests/raiserror.c src/odbc/unittests/rownumber.c:
+	* src/odbc/unittests/t0001.c src/odbc/unittests/t0002.c:
+	* src/odbc/unittests/testodbc.c src/odbc/unittests/timeout3.c:
+	- more reuse and unification
+
 Fri Feb 08 09:30:48 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/rpc.c: reuse code and macros
 
@@ -150,4 +158,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2486 2008/02/08 08:31:19 freddy77 Exp $
+$Id: ChangeLog,v 1.2487 2008/02/08 09:28:01 freddy77 Exp $
diff --git a/src/odbc/unittests/Makefile.am b/src/odbc/unittests/Makefile.am
index 7fca97b..f9e14f9 100644
--- a/src/odbc/unittests/Makefile.am
+++ b/src/odbc/unittests/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.71 2008/01/10 16:05:59 freddy77 Exp $
+# $Id: Makefile.am,v 1.72 2008/02/08 09:28:03 freddy77 Exp $
 TESTS		=	\
 			t0001$(EXEEXT) t0002$(EXEEXT) t0003$(EXEEXT)\
 			t0004$(EXEEXT) connect$(EXEEXT) print$(EXEEXT)\
@@ -21,7 +21,7 @@ TESTS		=	\
 			connect2$(EXEEXT) timeout4$(EXEEXT) freeclose$(EXEEXT) \
 			cursor3$(EXEEXT) cursor4$(EXEEXT) cursor5$(EXEEXT) \
 			attributes$(EXEEXT) hidden$(EXEEXT) blob1$(EXEEXT) \
-			cancel$(EXEEXT)
+			cancel$(EXEEXT) wchar$(EXEEXT)
 
 check_PROGRAMS	=	$(TESTS)
 
@@ -81,6 +81,7 @@ attributes_SOURCES	= attributes.c common.c common.h
 hidden_SOURCES	= hidden.c common.c common.h
 blob1_SOURCES	= blob1.c common.c common.h
 cancel_SOURCES = cancel.c common.c common.h
+wchar_SOURCES = wchar.c common.c common.h
 
 AM_CPPFLAGS	=	-I$(top_srcdir)/include $(ODBC_INC) -DFREETDS_SRCDIR=\"$(srcdir)\"
 if MINGW32
diff --git a/src/odbc/unittests/describecol.in b/src/odbc/unittests/describecol.in
index aa6a63a..b1aaa7f 100644
--- a/src/odbc/unittests/describecol.in
+++ b/src/odbc/unittests/describecol.in
@@ -153,25 +153,21 @@ attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 11
 
 select nchar(12) 'hi!'
-## TODO
-#attr SQL_COLUMN_LENGTH 24
+attr SQL_COLUMN_LENGTH 24
 attr SQL_COLUMN_PRECISION 12
 attr SQL_COLUMN_SCALE 0
 attr SQL_DESC_LENGTH 12
-## TODO
-#attr SQL_DESC_OCTET_LENGTH 24
+attr SQL_DESC_OCTET_LENGTH 24
 attr SQL_DESC_PRECISION 12
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 12
 
 select nvarchar(13) 'hi!'
-## TODO
-#attr SQL_COLUMN_LENGTH 26
+attr SQL_COLUMN_LENGTH 26
 attr SQL_COLUMN_PRECISION 13
 attr SQL_COLUMN_SCALE 0
 attr SQL_DESC_LENGTH 13
-## TODO
-#attr SQL_DESC_OCTET_LENGTH 26
+attr SQL_DESC_OCTET_LENGTH 26
 attr SQL_DESC_PRECISION 13
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 13
@@ -187,13 +183,11 @@ attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 4096
 
 select ntext 'hi!'
-## TODO
-#attr SQL_COLUMN_LENGTH 4096
+attr SQL_COLUMN_LENGTH 4096
 attr SQL_COLUMN_PRECISION 2048
 attr SQL_COLUMN_SCALE 0
 attr SQL_DESC_LENGTH 2048
-## TODO
-#attr SQL_DESC_OCTET_LENGTH 4096
+attr SQL_DESC_OCTET_LENGTH 4096
 attr SQL_DESC_PRECISION 2048
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 2048
@@ -385,25 +379,21 @@ attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 11
 
 select nchar(12) 'hi!'
-## TODO
-#attr SQL_COLUMN_LENGTH 24
+attr SQL_COLUMN_LENGTH 24
 attr SQL_COLUMN_PRECISION 12
 attr SQL_COLUMN_SCALE 0
 attr SQL_DESC_LENGTH 12
-## TODO
-#attr SQL_DESC_OCTET_LENGTH 24
+attr SQL_DESC_OCTET_LENGTH 24
 attr SQL_DESC_PRECISION 12
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 12
 
 select nvarchar(13) 'hi!'
-## TODO
-#attr SQL_COLUMN_LENGTH 26
+attr SQL_COLUMN_LENGTH 26
 attr SQL_COLUMN_PRECISION 13
 attr SQL_COLUMN_SCALE 0
 attr SQL_DESC_LENGTH 13
-## TODO
-#attr SQL_DESC_OCTET_LENGTH 26
+attr SQL_DESC_OCTET_LENGTH 26
 attr SQL_DESC_PRECISION 13
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 13
@@ -419,13 +409,11 @@ attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 4096
 
 select ntext 'hi!'
-## TODO
-#attr SQL_COLUMN_LENGTH 4096
+attr SQL_COLUMN_LENGTH 4096
 attr SQL_COLUMN_PRECISION 2048
 attr SQL_COLUMN_SCALE 0
 attr SQL_DESC_LENGTH 2048
-## TODO
-#attr SQL_DESC_OCTET_LENGTH 4096
+attr SQL_DESC_OCTET_LENGTH 4096
 attr SQL_DESC_PRECISION 2048
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 2048
diff --git a/src/odbc/unittests/params.c b/src/odbc/unittests/params.c
index 191066c..dc382cb 100644
--- a/src/odbc/unittests/params.c
+++ b/src/odbc/unittests/params.c
@@ -3,7 +3,7 @@
 /* Test for store procedure and params */
 /* Test from Tom Rogers */
 
-static char software_version[] = "$Id: params.c,v 1.8 2008/01/29 14:30:48 freddy77 Exp $";
+static char software_version[] = "$Id: params.c,v 1.9 2008/02/08 09:28:03 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* SP definition */
@@ -33,8 +33,7 @@ Test(int bind_before)
 	Connect();
 
 	/* drop proc */
-	if (CommandWithResult(Statement, "drop proc spTestProc") != SQL_SUCCESS)
-		printf("Unable to execute statement\n");
+	Command(Statement, "IF OBJECT_ID('spTestProc') IS NOT NULL DROP PROC spTestProc");
 
 	/* create proc */
 	Command(Statement, sp_define);
@@ -56,7 +55,7 @@ Test(int bind_before)
 
 	CHK(SQLExecute, (Statement));
 
-	Command(Statement, "drop proc spTestProc");
+	Command(Statement, "DROP PROC spTestProc");
 
 	printf("Output:\n");
 	printf("   Return Code = %d\n", (int) ReturnCode);
diff --git a/src/odbc/unittests/putdata.c b/src/odbc/unittests/putdata.c
index a9d3878..3eff23f 100644
--- a/src/odbc/unittests/putdata.c
+++ b/src/odbc/unittests/putdata.c
@@ -2,7 +2,7 @@
 
 /* Test for SQLPutData */
 
-static char software_version[] = "$Id: putdata.c,v 1.10 2008/01/29 14:30:48 freddy77 Exp $";
+static char software_version[] = "$Id: putdata.c,v 1.11 2008/02/08 09:28:04 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char test_text[] =
@@ -49,8 +49,7 @@ main(int argc, char *argv[])
 
 		if (l < n)
 			n = l;
-		if (SQLPutData(Statement, (char *) p, n) != SQL_SUCCESS)
-			ODBC_REPORT_ERROR("Wrong result from SQLPutData");
+		CHK(SQLPutData, (Statement, (char *) p, n));
 		p += n;
 		n *= 2;
 	}
diff --git a/src/odbc/unittests/raiserror.c b/src/odbc/unittests/raiserror.c
index 76fd66f..3395ad4 100644
--- a/src/odbc/unittests/raiserror.c
+++ b/src/odbc/unittests/raiserror.c
@@ -4,7 +4,7 @@
 
 /* TODO add support for Sybase */
 
-static char software_version[] = "$Id: raiserror.c,v 1.20 2008/01/29 14:30:48 freddy77 Exp $";
+static char software_version[] = "$Id: raiserror.c,v 1.21 2008/02/08 09:28:04 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SP_TEXT "{?=call #tmp1(?,?,?)}"
@@ -209,9 +209,8 @@ Test(int level)
 	}
 
 	if (!use_odbc_version3 || !g_nocount) {
-		result = SQLMoreResults(Statement);
-		if (result != SQL_SUCCESS)
-			ODBC_REPORT_ERROR("SQLMoreResults returned failure");
+		CHK(SQLMoreResults, (Statement));
+		result = SQL_SUCCESS;
 	}
 
 	CheckReturnCode(result, INVALID_RETURN);
diff --git a/src/odbc/unittests/rownumber.c b/src/odbc/unittests/rownumber.c
index d2c213f..55eddaf 100644
--- a/src/odbc/unittests/rownumber.c
+++ b/src/odbc/unittests/rownumber.c
@@ -7,7 +7,7 @@
  * TODO make it work and add to Makefile.am
  */
 
-static char software_version[] = "$Id: rownumber.c,v 1.2 2005/01/14 15:03:12 freddy77 Exp $";
+static char software_version[] = "$Id: rownumber.c,v 1.3 2008/02/08 09:28:04 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -62,8 +62,8 @@ DoTest()
 	static const char query[] = "SELECT * FROM #tmp1 ORDER BY i SELECT * FROM #tmp1 WHERE i < 3 ORDER BY i";
 
 	/* execute a batch command and check row number */
-	if (SQLExecDirect(Statement, (SQLCHAR *) query, SQL_NTS) != SQL_SUCCESS)
-		ODBC_REPORT_ERROR("Unable to execute direct statement");
+	CHK(SQLExecDirect, (Statement, (SQLCHAR *) query, SQL_NTS));
+
 	CHECK_ROWS(-1);
 	printf("Result %d\n", ++n);
 	Fetch(SQL_SUCCESS);
diff --git a/src/odbc/unittests/t0001.c b/src/odbc/unittests/t0001.c
index 6ca6c8d..a51adea 100644
--- a/src/odbc/unittests/t0001.c
+++ b/src/odbc/unittests/t0001.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: t0001.c,v 1.15 2008/01/29 14:30:49 freddy77 Exp $";
+static char software_version[] = "$Id: t0001.c,v 1.16 2008/02/08 09:28:04 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -17,8 +17,7 @@ main(int argc, char *argv[])
 
 	Connect();
 
-	if (CommandWithResult(Statement, "drop table #odbctestdata") != SQL_SUCCESS)
-		printf("Unable to execute statement\n");
+	Command(Statement, "if object_id('tempdb..#odbctestdata') is not null drop table #odbctestdata");
 
 	command = "create table #odbctestdata ("
 		"col1 varchar(30) not null,"
diff --git a/src/odbc/unittests/t0002.c b/src/odbc/unittests/t0002.c
index 8fa2830..af7cfc3 100644
--- a/src/odbc/unittests/t0002.c
+++ b/src/odbc/unittests/t0002.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: t0002.c,v 1.13 2008/01/29 14:30:49 freddy77 Exp $";
+static char software_version[] = "$Id: t0002.c,v 1.14 2008/02/08 09:28:04 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -12,8 +12,7 @@ main(int argc, char *argv[])
 
 	Connect();
 
-	if (CommandWithResult(Statement, "drop table #odbctestdata") != SQL_SUCCESS)
-		printf("Unable to execute statement\n");
+	Command(Statement, "if object_id('tempdb..#odbctestdata') is not null drop table #odbctestdata");
 
 	Command(Statement, "create table #odbctestdata (i int)");
 	Command(Statement, "insert #odbctestdata values (123)");
diff --git a/src/odbc/unittests/testodbc.c b/src/odbc/unittests/testodbc.c
index 5ab9325..61e80bb 100644
--- a/src/odbc/unittests/testodbc.c
+++ b/src/odbc/unittests/testodbc.c
@@ -10,7 +10,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: testodbc.c,v 1.10 2008/02/06 08:29:53 freddy77 Exp $";
+static char software_version[] = "$Id: testodbc.c,v 1.11 2008/02/08 09:28:04 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef DEBUG
@@ -139,30 +139,11 @@ TestRawODBCPreparedQuery(void)
 
 	strcpy((char *) queryString, "SELECT * FROM #Products WHERE SupplierID = ?");
 
-	status = SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &supplierId, 0, &lenOrInd);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("SQLBindParameter failed"));
-		DispODBCErrs();
-		DispODBCDiags();
-		AB_FUNCT(("TestRawODBCPreparedQuery (out): error"));
-		return FALSE;
-	}
+	CHK(SQLBindParameter, (Statement, 1, SQL_PARAM_INPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &supplierId, 0, &lenOrInd));
 
-	status = SQLPrepare(Statement, queryString, SQL_NTS);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("Prepare failed"));
-		AB_FUNCT(("TestRawODBCPreparedQuery (out): error"));
-		return FALSE;
-	}
+	CHK(SQLPrepare, (Statement, queryString, SQL_NTS));
 
-	status = SQLExecute(Statement);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("Execute failed"));
-		DispODBCErrs();
-		DispODBCDiags();
-		AB_FUNCT(("TestRawODBCPreparedQuery (out): error"));
-		return FALSE;
-	}
+	CHK(SQLExecute, (Statement));
 
 	count = 0;
 
@@ -230,23 +211,9 @@ TestRawODBCDirectQuery(void)
 
 	strcpy((char *) queryString, "SELECT * FROM #Products WHERE SupplierID = ?");
 
-	status = SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &supplierId, 0, &lenOrInd);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("SQLBindParameter failed"));
-		DispODBCErrs();
-		DispODBCDiags();
-		AB_FUNCT(("TestRawODBCDirectQuery (out): error"));
-		return FALSE;
-	}
+	CHK(SQLBindParameter, (Statement, 1, SQL_PARAM_INPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &supplierId, 0, &lenOrInd));
 
-	status = SQLExecDirect(Statement, queryString, SQL_NTS);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("Execute failed"));
-		DispODBCErrs();
-		DispODBCDiags();
-		AB_FUNCT(("TestRawODBCDirectQuery (out): error"));
-		return FALSE;
-	}
+	CHK(SQLExecDirect, (Statement, queryString, SQL_NTS));
 
 	count = 0;
 
@@ -326,11 +293,7 @@ TestRawODBCGuid(void)
 
 	strcpy((char *) (queryString), "INSERT INTO #pet( name, owner, species, sex, age ) \
                          VALUES ( 'Fang', 'Mike', 'dog', 'm', 12 );");
-	status = SQLExecDirect(Statement, queryString, SQL_NTS);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("Insert row 1 failed"));
-		goto odbcfail;
-	}
+	CHK(SQLExecDirect, (Statement, queryString, SQL_NTS));
 
 	AB_PRINT(("Insert row 2"));
 
@@ -343,21 +306,10 @@ TestRawODBCGuid(void)
 
 	lenOrInd = 0;
 	age = 3;
-	if (SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &age, 0, &lenOrInd)
-	    != SQL_SUCCESS) {
-		AB_ERROR(("SQLBindParameter failed"));
-		goto odbcfail;
-	}
+	CHK(SQLBindParameter, (Statement, 1, SQL_PARAM_INPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &age, 0, &lenOrInd));
 
-	status = SQLExecDirect(Statement, queryString, SQL_NTS);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("Insert row 2 failed"));
-		goto odbcfail;
-	}
-	if (SQLFreeStmt(Statement, SQL_CLOSE) != SQL_SUCCESS) {
-		AB_ERROR(("Free statement failed (5)"));
-		goto odbcfail;
-	}
+	CHK(SQLExecDirect, (Statement, queryString, SQL_NTS));
+	CHK(SQLFreeStmt, (Statement, SQL_CLOSE));
 
 	AB_PRINT(("Insert row 3"));
 	/*
@@ -369,16 +321,8 @@ TestRawODBCGuid(void)
 	lenOrInd = SQL_NTS;
 	strcpy((char *) (guid), "87654321-4321-4321-4321-123456789abc");
 
-	if (SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_GUID, 0, 0, guid, 0, &lenOrInd)
-	    != SQL_SUCCESS) {
-		AB_ERROR(("SQLBindParameter failed"));
-		goto odbcfail;
-	}
-	status = SQLExecDirect(Statement, queryString, SQL_NTS);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("Insert row 3 failed"));
-		goto odbcfail;
-	}
+	CHK(SQLBindParameter, (Statement, 1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_GUID, 0, 0, guid, 0, &lenOrInd));
+	CHK(SQLExecDirect, (Statement, queryString, SQL_NTS));
 
 	AB_PRINT(("Insert row 4"));
 	/*
@@ -390,16 +334,8 @@ TestRawODBCGuid(void)
 	lenOrInd = SQL_NTS;
 	strcpy((char *) (guid), "1234abcd-abcd-abcd-abcd-123456789abc");
 
-	if (SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_CHAR, 36, 0, guid, 0, &lenOrInd)
-	    != SQL_SUCCESS) {
-		AB_ERROR(("SQLBindParameter failed"));
-		goto odbcfail;
-	}
-	status = SQLExecDirect(Statement, queryString, SQL_NTS);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("Insert row 4 failed"));
-		goto odbcfail;
-	}
+	CHK(SQLBindParameter, (Statement, 1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_CHAR, 36, 0, guid, 0, &lenOrInd));
+	CHK(SQLExecDirect, (Statement, queryString, SQL_NTS));
 
 	AB_PRINT(("Insert row 5"));
 	/*
@@ -423,11 +359,7 @@ TestRawODBCGuid(void)
 	lenOrInd = 16;
 	strcpy((char *) (guid), "1234abcd-abcd-abcd-abcd-123456789abc");
 
-	if (SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_GUID, SQL_GUID, 16, 0, &sqlguid, 16, &lenOrInd)
-	    != SQL_SUCCESS) {
-		AB_ERROR(("SQLBindParameter failed"));
-		goto odbcfail;
-	}
+	CHK(SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_GUID, SQL_GUID, 16, 0, &sqlguid, 16, &lenOrInd));
 	status = SQLExecDirect(Statement, queryString, SQL_NTS);
 	if (status != SQL_SUCCESS) {
 		AB_ERROR(("Insert row 5 failed"));
@@ -439,23 +371,11 @@ TestRawODBCGuid(void)
 	 */
 	AB_PRINT(("retrieving name and guid"));
 	strcpy((char *) (queryString), "SELECT name, guid FROM #pet");
-	status = SQLExecDirect(Statement, queryString, SQL_NTS);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("SELECT failed"));
-		goto odbcfail;
-	}
+	CHK(SQLExecDirect, (Statement, queryString, SQL_NTS));
 	while (SQLFetch(Statement) == SQL_SUCCESS) {
 		count++;
-		if (SQLGetData(Statement, 1, SQL_CHAR, name, 20, 0)
-		    != SQL_SUCCESS) {
-			AB_ERROR(("Get row %d, name column failed", count));
-			goto odbcfail;
-		}
-		if (SQLGetData(Statement, 2, SQL_CHAR, guid, 37, 0)
-		    != SQL_SUCCESS) {
-			AB_ERROR(("Get row %d, guid column failed", count));
-			goto odbcfail;
-		}
+		CHK(SQLGetData, (Statement, 1, SQL_CHAR, name, 20, 0));
+		CHK(SQLGetData, (Statement, 2, SQL_CHAR, guid, 37, 0));
 
 		AB_PRINT(("name: %-10s guid: %s", name, guid));
 	}
@@ -464,15 +384,8 @@ TestRawODBCGuid(void)
 	 * Realloc cursor handle - (Windows ODBC considers it an invalid cursor
 	 * state if we try SELECT again).
 	 */
-	if (SQLFreeStmt(Statement, SQL_CLOSE) != SQL_SUCCESS) {
-		AB_ERROR(("Free statement failed (5)"));
-		goto odbcfail;
-	}
-	if (SQLAllocHandle(SQL_HANDLE_STMT, Connection, &Statement)
-	    != SQL_SUCCESS) {
-		AB_ERROR(("SQLAllocStmt failed(1)"));
-		goto odbcfail;
-	}
+	CHK(SQLFreeStmt, (Statement, SQL_CLOSE));
+	CHK(SQLAllocHandle, (SQL_HANDLE_STMT, Connection, &Statement));
 
 
 	/*
@@ -481,23 +394,11 @@ TestRawODBCGuid(void)
 
 	AB_PRINT(("retrieving name and guid again"));
 	strcpy((char *) (queryString), "SELECT name, guid FROM #pet");
-	status = SQLExecDirect(Statement, queryString, SQL_NTS);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("SELECT failed"));
-		goto odbcfail;
-	}
+	CHK(SQLExecDirect, (Statement, queryString, SQL_NTS));
 	while (SQLFetch(Statement) == SQL_SUCCESS) {
 		count++;
-		if (SQLGetData(Statement, 1, SQL_CHAR, name, 20, 0)
-		    != SQL_SUCCESS) {
-			AB_ERROR(("Get row %d, name column failed", count));
-			goto odbcfail;
-		}
-		if (SQLGetData(Statement, 2, SQL_GUID, &sqlguid, 16, 0)
-		    != SQL_SUCCESS) {
-			AB_ERROR(("Get row %d, guid column failed", count));
-			goto odbcfail;
-		}
+		CHK(SQLGetData, (Statement, 1, SQL_CHAR, name, 20, 0));
+		CHK(SQLGetData, (Statement, 2, SQL_GUID, &sqlguid, 16, 0));
 
 		AB_PRINT(("%-10s %08X-%04X-%04X-%02X%02X-%02X%02X%02X%02X%02X%02X",
 			  name,
@@ -511,15 +412,8 @@ TestRawODBCGuid(void)
 	 * Realloc cursor handle - (Windows ODBC considers it an invalid cursor
 	 * state if we try SELECT again).
 	 */
-	if (SQLFreeStmt(Statement, SQL_CLOSE) != SQL_SUCCESS) {
-		AB_ERROR(("Free statement failed (5)"));
-		goto odbcfail;
-	}
-	if (SQLAllocHandle(SQL_HANDLE_STMT, Connection, &Statement)
-	    != SQL_SUCCESS) {
-		AB_ERROR(("SQLAllocStmt failed(1)"));
-		goto odbcfail;
-	}
+	CHK(SQLFreeStmt, (Statement, SQL_CLOSE));
+	CHK(SQLAllocHandle, (SQL_HANDLE_STMT, Connection, &Statement));
 
 	/*
 	 * Now retrieve rows via stored procedure passing GUID as param.
@@ -530,28 +424,12 @@ TestRawODBCGuid(void)
 	lenOrInd = SQL_NTS;
 	strcpy((char *) (guid), "87654321-4321-4321-4321-123456789abc");
 
-	if (SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_GUID, 0, 0, guid, 0, &lenOrInd)
-	    != SQL_SUCCESS) {
-		AB_ERROR(("SQLBindParameter failed"));
-		goto odbcfail;
-	}
-	status = SQLExecDirect(Statement, queryString, SQL_NTS);
-	if (status != SQL_SUCCESS) {
-		AB_ERROR(("SELECT failed"));
-		goto odbcfail;
-	}
+	CHK(SQLBindParameter, (Statement, 1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_GUID, 0, 0, guid, 0, &lenOrInd));
+	CHK(SQLExecDirect, (Statement, queryString, SQL_NTS));
 	while (SQLFetch(Statement) == SQL_SUCCESS) {
 		count++;
-		if (SQLGetData(Statement, 1, SQL_CHAR, name, 20, 0)
-		    != SQL_SUCCESS) {
-			AB_ERROR(("Get row %d, name column failed", count));
-			goto odbcfail;
-		}
-		if (SQLGetData(Statement, 2, SQL_CHAR, guid, 37, 0)
-		    != SQL_SUCCESS) {
-			AB_ERROR(("Get row %d, guid column failed", count));
-			goto odbcfail;
-		}
+		CHK(SQLGetData, (Statement, 1, SQL_CHAR, name, 20, 0));
+		CHK(SQLGetData, (Statement, 2, SQL_CHAR, guid, 37, 0));
 
 		AB_PRINT(("%-10s %s", name, guid));
 	}
@@ -560,15 +438,8 @@ TestRawODBCGuid(void)
 	 * Realloc cursor handle - (Windows ODBC considers it an invalid cursor
 	 * state after a previous SELECT has occurred).
 	 */
-	if (SQLFreeStmt(Statement, SQL_CLOSE) != SQL_SUCCESS) {
-		AB_ERROR(("Free statement failed (5)"));
-		goto odbcfail;
-	}
-	if (SQLAllocHandle(SQL_HANDLE_STMT, Connection, &Statement)
-	    != SQL_SUCCESS) {
-		AB_ERROR(("SQLAllocStmt failed(1)"));
-		goto odbcfail;
-	}
+	CHK(SQLFreeStmt, (Statement, SQL_CLOSE));
+	CHK(SQLAllocHandle, (SQL_HANDLE_STMT, Connection, &Statement));
 
 	/* cleanup */
 	CommandWithResult(Statement, "DROP PROC GetGUIDRows");
diff --git a/src/odbc/unittests/timeout3.c b/src/odbc/unittests/timeout3.c
index edb7d37..8fdeff3 100644
--- a/src/odbc/unittests/timeout3.c
+++ b/src/odbc/unittests/timeout3.c
@@ -40,7 +40,7 @@
 	test connection timeout
 */
 
-static char software_version[] = "$Id: timeout3.c,v 1.6 2007/11/26 18:12:31 freddy77 Exp $";
+static char software_version[] = "$Id: timeout3.c,v 1.7 2008/02/08 09:28:05 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -49,14 +49,14 @@ static void
 init_connect(void)
 {
 	if (SQLAllocEnv(&Environment) != SQL_SUCCESS) {
-		printf("Unable to allocate env\n");
+		fprintf(stderr, "Unable to allocate env\n");
 		exit(1);
 	}
 
 	SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
 
 	if (SQLAllocConnect(Environment, &Connection) != SQL_SUCCESS) {
-		printf("Unable to allocate connection\n");
+		fprintf(stderr, "Unable to allocate connection\n");
 		SQLFreeEnv(Environment);
 		exit(1);
 	}

